Skip to content
Skip to main content
PUT
/v3/grants/{grant_id}/signatures/{signature_id}

Update a signature

Update the specified signature. You can update the name, body, or both. The signature ID does not change.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

signature_id*string

ID of the signature to access.

Query parameters

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

Request body

namestring

Updated label for the signature.

Example: "Updated Work Signature"
bodystring

Updated HTML content for the signature. Maximum 100 KB. Images must use externally hosted URLs (base64 inline images are not supported). Nylas sanitizes the HTML on input to prevent malicious content.

Example: "<div><p><strong>Nick Barraclough</strong></p><p>Senior Product Manager | Nylas</p></div>"

Responses

request_idstring

The request ID.

dataobject
PUThttps://api.us.nylas.com/v3/grants/{grant_id}/signatures/{signature_id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

signature_idrequiredstring

ID of the signature to access.

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.